Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-10513

Incorrect version of jax-rs package in Karaf Fuse 7.3 CR3

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Blocker
    • Resolution: Done
    • Affects Version/s: fuse-7.3
    • Fix Version/s: None
    • Component/s: CXF, Karaf
    • Labels:

      Description

      Fuse Karaf BOM still contains wrong version of javax.ws.rs packages:

      My title

      -<version.javax.ws.rs>2.1.1</version.javax.ws.rs>
      +<version.javax.ws.rs>2.1.1.redhat-00002</version.javax.ws.rs>

      Because of that our testsuite cannot be compiled and fails with following error:

      [ERROR] Manifest org.jboss.qe.cxf.rs:async-feature-test:jar:1.0.0-SNAPSHOT : Invalid syntax for version: , for cmd: range, arguments; [range, [==,+)]?
      

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  tcunning Thomas Cunningham
                  Reporter:
                  vkasala Viliam Kasala
                  Tester:
                  Viliam Kasala
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  4 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: